#### Previous topic

scipy.io.arff.loadarff

#### Next topic

scipy.io.arff.MetaData.names

# scipy.io.arff.MetaData

class `scipy.io.arff.``MetaData`(rel, attr)

  Small container to keep useful informations on a ARFF dataset.

  Knows about attributes names and types.

  Notes

  Also maintains the list of attributes in order, i.e. doing for i in meta, where meta is an instance of MetaData, will return the different attribute names in the order they were defined.

  Examples

      data, meta = loadarff('iris.arff')
      # This will print the attributes names of the iris.arff dataset
      for i in meta:
          print i
      # This works too
      meta.names()
      # Getting attribute type
      types = meta.types()

  Methods

  `names`() | Return the list of attribute names.
  `types`() | Return the list of attribute types.